Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface TopLevelLayoutManager

All Known Implementing Classes:
  AbstractPageSequenceLayoutManager

public interface TopLevelLayoutManager

This interface is implemented by top-level layout managers such as the ones for fo:page-sequence and fox:external-document.

Method Summary
`void` | `activateLayout()` Activate the layout of this page sequence.
`void` | `doForcePageCount(Numeric nextPageSeqInitialPageNumber)` Act upon the force-page-count trait, in relation to the initial-page-number trait of the following page-sequence.
`void` | `finishPageSequence()` Finished the page-sequence and notifies everyone about it.

Method Detail

### activateLayout

    public void activateLayout()

  Activate the layout of this page sequence. PageViewports corresponding to each page generated by this page sequence will be created and sent to the AreaTreeModel for rendering.

### doForcePageCount

    public void doForcePageCount(Numeric nextPageSeqInitialPageNumber)

  Act upon the force-page-count trait, in relation to the initial-page-number trait of the following page-sequence.

  Parameters:
    `nextPageSeqInitialPageNumber` - initial-page-number trait of next page-sequence

### finishPageSequence

    public void finishPageSequence()

  Finished the page-sequence and notifies everyone about it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.